import {WeaTools} from 'ecCom';

export const getArchiveRegisterList = params => {
    return WeaTools.callApi('/api/integration/workflowarchive/getArchiveRegisterList', 'POST', params);
};
export const getArchiveRegisterRightMenu = params => {
    return WeaTools.callApi('/api/integration/workflowarchive/getArchiveRegisterRightMenu', 'POST', params);
};
export const getArchiveRegisterCondition = params => {
    return WeaTools.callApi('/api/integration/workflowarchive/getArchiveRegisterCondition', 'POST', params);
};
export const getArchiveLogList = params => {
    return WeaTools.callApi('/api/integration/workflowarchive/getArchiveLogList', 'POST', params);
};
export const getArchiveLogRightMenu = params => {
    return WeaTools.callApi('/api/integration/workflowarchive/getArchiveLogRightMenu', 'POST', params);
};
export const getArchiveLogCondition = params => {
    return WeaTools.callApi('/api/integration/workflowarchive/getArchiveLogCondition', 'POST', params);
};
export const getArchiveConfigFTPList = params => {
    return WeaTools.callApi('/api/integration/workflowarchive/getArchiveConfigFTPList', 'POST', params);
};
export const getArchiveConfigFTPRightMenu = params => {
    return WeaTools.callApi('/api/integration/workflowarchive/getArchiveConfigFTPRightMenu', 'POST', params);
};
export const getArchiveConfigLocalList = params => {
    return WeaTools.callApi('/api/integration/workflowarchive/getArchiveConfigLocalList', 'POST', params);
};
export const getArchiveConfigLocalRightMenu = params => {
    return WeaTools.callApi('/api/integration/workflowarchive/getArchiveConfigLocalRightMenu', 'POST', params);
};
export const getArchiveConfigDatabaseList = params => {
    return WeaTools.callApi('/api/integration/workflowarchive/getArchiveConfigDatabaseList', 'POST', params);
};
export const getArchiveConfigDatabaseRightMenu = params => {
    return WeaTools.callApi('/api/integration/workflowarchive/getArchiveConfigDatabaseRightMenu', 'POST', params);
};
export const getArchiveConfigSchemeList = params => {
    return WeaTools.callApi('/api/integration/workflowarchive/getArchiveConfigSchemeList', 'POST', params);
};
export const getArchiveConfigSchemeRightMenu = params => {
    return WeaTools.callApi('/api/integration/workflowarchive/getArchiveConfigSchemeRightMenu', 'POST', params);
};
export const getArchiveRegisterAddForm = params => {
    return WeaTools.callApi('/api/integration/workflowarchive/getArchiveRegisterAddForm', 'POST', params);
};
export const getArchiveRegisterEditForm = params => {
    return WeaTools.callApi('/api/integration/workflowarchive/getArchiveRegisterEditForm', 'POST', params);
};
export const getArchiveRegisterEditFormFieldXMLMapping = params => {
    return WeaTools.callApi('/api/integration/workflowarchive/getArchiveRegisterEditFormFieldXMLMapping', 'POST', params);
};
export const getArchiveRegisterEditFormFieldDBMapping = params => {
    return WeaTools.callApi('/api/integration/workflowarchive/getArchiveRegisterEditFormFieldDBMapping', 'POST', params);
};
export const getArchiveRegisterEditFormLogList = params => {
    return WeaTools.callApi('/api/integration/workflowarchive/getArchiveRegisterEditFormLogList', 'POST', params);
};
export const getArchiveRegisterEditFormLogCondition = params => {
    return WeaTools.callApi('/api/integration/workflowarchive/getArchiveRegisterEditFormLogCondition', 'POST', params);
};
export const getArchiveRegisterEditFormLogRightMenu = params => {
    return WeaTools.callApi('/api/integration/workflowarchive/getArchiveRegisterEditFormLogRightMenu', 'POST', params);
};
export const getArchiveRegisterOperation = params => {
    return WeaTools.callApi('/api/integration/workflowarchive/getArchiveRegisterOperation', 'POST', params);
};
export const getArchiveConfigFTPAddForm = params => {
    return WeaTools.callApi('/api/integration/workflowarchive/getArchiveConfigFTPAddForm', 'POST', params);
};
export const getArchiveConfigFTPEditForm = params => {
    return WeaTools.callApi('/api/integration/workflowarchive/getArchiveConfigFTPEditForm', 'POST', params);
};
export const getArchiveConfigFTPOperation = params => {
    return WeaTools.callApi('/api/integration/workflowarchive/getArchiveConfigFTPOperation', 'POST', params);
};
export const getArchiveConfigLocalAddForm = params => {
    return WeaTools.callApi('/api/integration/workflowarchive/getArchiveConfigLocalAddForm', 'POST', params);
};
export const getArchiveConfigLocalEditForm = params => {
    return WeaTools.callApi('/api/integration/workflowarchive/getArchiveConfigLocalEditForm', 'POST', params);
};
export const getArchiveConfigLocalOperation = params => {
    return WeaTools.callApi('/api/integration/workflowarchive/getArchiveConfigLocalOperation', 'POST', params);
};
export const getArchiveConfigDatabaseAddForm = params => {
    return WeaTools.callApi('/api/integration/workflowarchive/getArchiveConfigDatabaseAddForm', 'POST', params);
};
export const getArchiveConfigDatabaseEditForm = params => {
    return WeaTools.callApi('/api/integration/workflowarchive/getArchiveConfigDatabaseEditForm', 'POST', params);
};
export const getArchiveConfigDatabaseOperation = params => {
    return WeaTools.callApi('/api/integration/workflowarchive/getArchiveConfigDatabaseOperation', 'POST', params);
};
export const getArchiveConfigSchemeAddFormXML = params => {
    return WeaTools.callApi('/api/integration/workflowarchive/getArchiveConfigSchemeAddFormXML', 'POST', params);
};
export const getArchiveConfigSchemeEditFormXML = params => {
    return WeaTools.callApi('/api/integration/workflowarchive/getArchiveConfigSchemeEditFormXML', 'POST', params);
};
export const getArchiveConfigSchemeOperationXML = params => {
    return WeaTools.callApi('/api/integration/workflowarchive/getArchiveConfigSchemeOperationXML', 'POST', params);
};
export const getArchiveConfigSchemeAddFormDB = params => {
    return WeaTools.callApi('/api/integration/workflowarchive/getArchiveConfigSchemeAddFormDB', 'POST', params);
};
export const getArchiveConfigSchemeEditFormDB = params => {
    return WeaTools.callApi('/api/integration/workflowarchive/getArchiveConfigSchemeEditFormDB', 'POST', params);
};
export const getArchiveConfigSchemeOperationDB = params => {
    return WeaTools.callApi('/api/integration/workflowarchive/getArchiveConfigSchemeOperationDB', 'POST', params);
};


